package com.example.blum.depreciationtabs;

import android.support.v4.app.Fragment;  //CRUCIAL
import android.os.Bundle;
import android.support.annotation.Nullable;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.Button;
import android.widget.EditText;
import android.widget.TextView;
import android.widget.Toast;

/**
 * Created by blum on 11/6/2017.
 */

public class StraightLineFragment extends Fragment {

    @Nullable
    @Override
    public View onCreateView(LayoutInflater inflater, @Nullable ViewGroup container, Bundle savedInstanceState) {
        //return super.onCreateView(inflater, container, savedInstanceState);

        // DON'T RETURN RIGHT AWAY
        final View myView = inflater.inflate(R.layout.straight_line_fragment, container, false);

        Button btnSchedule = (Button) myView.findViewById(R.id.btnSchedule);
        // Note the myView that's now in front of findViewById

        btnSchedule.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View view) {
                //Toast.makeText(getContext(), "POOP", Toast.LENGTH_LONG).show();
                EditText etInitial = (EditText) myView.findViewById(R.id.etInitialValue);
                double initial = Double.parseDouble(etInitial.getText().toString());

                EditText etSalvage = (EditText) myView.findViewById(R.id.etSalvageValue);
                double salvage = Double.parseDouble(etSalvage.getText().toString());

                EditText etLifeTime = (EditText) myView.findViewById(R.id.etLifeTime);
                int lifetime = Integer.parseInt(etLifeTime.getText().toString());

                TextView tvSchedule = (TextView) myView.findViewById(R.id.tvSchedule);
                tvSchedule.setText( "Initial value: $" +String.format( "%.2f", initial ) );

                double value = initial;
                double deprec = (initial - salvage)/lifetime;
                for(int i=1; i<=lifetime; i++){
                    value -= deprec;
                    tvSchedule.append( "\nAfter " + i + " year(s): $" +String.format( "%.2f", value ) );
                }

            }
        });

        return myView;
    }//end onCreateView


}//end STraighLineFragment
